<?php 
/**
*	登录页
*/
class loginClassAction extends ActionNot
{
	public function initAction()
	{
		if(strlen(getconfig('randkey'))!=26)
			exit(''.P.'/'.P.'Config.php配置文件randkey不正确，请重新设置为：'.$this->jm->getRandkey().'');
	}
	
	public function defaultAction()
	{
		
	}
	
	//客户端登录页
	public function kefuAction()
	{
		
	}
	
	public function exitAction()
	{
		m('login')->exitlogin();
		$this->rock->location('?m=login');
	}
	
	public function logincheckAction()
	{
		$user = $this->post('user');
		$pass = $this->post('pass');
		$device = $this->post('device');
		$cform  = $this->post('cform','PC');
		
		return m('login')->start($user,$pass,$cform, $device);
	}
}